import { StyleSheet } from "react-native";
import {
  appColors,
  windowHeight,
  windowWidth,
  appFonts,
  fontSizes,
} from "@src/themes";

const styles = StyleSheet.create({
  mainContainer: {
    marginHorizontal: windowWidth(20),
    flex: 1,
  },
  container: {
    maxHeight: windowHeight(390),
    width: "100%",
    borderWidth: windowHeight(0.45),
    paddingVertical: windowHeight(5),
    borderRadius: windowHeight(15),
    backgroundColor: appColors.whiteColor,
    marginTop: windowHeight(5),
    marginBottom: windowHeight(5),
    borderColor: appColors.whiteColor,
  },
  titleContainer: {
    justifyContent: "center",
    marginTop: windowHeight(17),
  },
  title: {
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(5),
  },
  inputView: {
    alignItems: "center",
    borderRadius: windowWidth(35),
    borderWidth: windowHeight(1),
    paddingHorizontal: windowWidth(3),
    height: windowHeight(38),
    marginBottom: windowHeight(10),
    marginTop: windowHeight(4),
  },
  textinput: {
    fontFamily: appFonts.regular,
    paddingHorizontal: windowWidth(1.5),
    width: "80%",
    marginTop: windowHeight(4),
  },
  dashBorder: {
    borderBottomWidth: windowHeight(0.9),
    borderColor: appColors.border,
    borderStyle: "dashed",
    marginVertical: windowHeight(15),
  },
  titleTopup: {
    color: appColors.primaryText,
    height: windowHeight(20),
    fontFamily: appFonts.medium,
    marginTop: windowHeight(10),
  },
  titleAmount: {
    color: appColors.regularText,
    height: windowHeight(20),
    fontFamily: appFonts.regular,
    marginTop: windowHeight(5.9),
  },
  icons: {
    // marginHorizontal: windowWidth(14),
    fontSize: fontSizes.FONT14,
  },
  payBottomView: {
    position: "absolute",
    width: "100%",
    height: windowHeight(70),
    bottom: 0,
    backgroundColor: appColors.whiteColor,
  },
  addBtn: {
    position: "absolute",
    bottom: windowHeight(15),
    width: "90%",
    alignSelf: "center",
  },
  modalPaymentView: {
    justifyContent: "space-between",
    paddingHorizontal: windowWidth(10),
    paddingVertical: windowHeight(10),
  },
  imageBg: {
    borderWidth: windowHeight(1),
    borderColor: appColors.lightGray,
    borderRadius: windowHeight(10),
    alignItems: "center",
    justifyContent: "center",
    width: windowHeight(70),
    height: windowHeight(40),
    backgroundColor: appColors.lightGray,
  },
  paymentImage: {
    width: windowWidth(70),
    height: windowHeight(40),
    resizeMode: "contain",
  },
  mailInfo: {
    marginHorizontal: windowWidth(17),
    justifyContent: "center",
  },
  mail: {
    fontFamily: appFonts.regular,
  },
  payBtn: {
    alignItems: "center",
    justifyContent: "center",
    width: windowWidth(9),
    borderRadius: windowHeight(7.6),
    marginHorizontal: windowWidth(6),
    height: windowHeight(35),
    right: windowHeight(17),
  },
  buttonContainer: {
    marginTop: windowHeight(8),
  },
  buttonText: {
    fontFamily: appFonts.medium,
  },
  borderPayment: {
    borderBottomWidth: windowHeight(0.9),
    borderColor: appColors.border,
    marginHorizontal: windowWidth(15),
  },
});

export default styles;
